Skip to main content
POST

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
default:2025-01-01
required

API version to be used.

x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request parameters to simulate payment.

entity
enum<string>
required

Entity type should be PAYMENTS, SUBS_PAYMENTS, SUBS_EXECUTION, SUBS_RESCHEDULE, or VBA_TRANSFER only.

Available options:
PAYMENTS,
SUBS_PAYMENTS,
SUBS_EXECUTION,
SUBS_RESCHEDULE,
VBA_TRANSFER
entity_id
string
required

If the entity type is PAYMENTS, the entity_id will be the cf_payment_id. If the entity type is SUBS_PAYMENTS, the entity_id will be the payment_id. If the entity type is SUBS_EXECUTION, the entity_id will be the execution_id. If the entity type is SUBS_RESCHEDULE, the entity_id will be the merchant transaction ID of the charge. If the entity type is VBA_TRANSFER, the entity_id will be the vba_account_number.

entity_simulation
entity_simulation Ā· object

Entity simulation contains payment_status and payment_error_code. For SUBS_EXECUTION, payment_status supports SUCCESS or FAILED only, and payment_error_code is required when the status is FAILED.

Example:
vba_simulation
vba_simulation Ā· object

VBA simulation contains VBA and remitter information for simulation.

Example:

Response

Success response for simulating payment.

simulation_id
string
entity
string
entity_id
string
entity_simulation
entity_simulation Ā· object

Entity simulation contains payment_status and payment_error_code.

Example: